cURL
curl --request DELETE \
--url https://us.infisical.com/api/v3/secrets/raw/{secretName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"workspaceId": "<string>",
"projectSlug": "<string>",
"secretPath": "/",
"type": "shared"
}
'import requests
url = "https://us.infisical.com/api/v3/secrets/raw/{secretName}"
payload = {
"environment": "<string>",
"workspaceId": "<string>",
"projectSlug": "<string>",
"secretPath": "/",
"type": "shared"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environment: '<string>',
workspaceId: '<string>',
projectSlug: '<string>',
secretPath: '/',
type: 'shared'
})
};
fetch('https://us.infisical.com/api/v3/secrets/raw/{secretName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret": {
"id": "<string>",
"_id": "<string>",
"workspace": "<string>",
"environment": "<string>",
"version": 123,
"type": "<string>",
"secretKey": "<string>",
"secretValue": "<string>",
"secretComment": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretValueHidden": true,
"secretReminderNote": "<string>",
"secretReminderRepeatDays": 123,
"skipMultilineEncoding": false,
"actor": {
"actorId": "<string>",
"actorType": "<string>",
"name": "<string>",
"membershipId": "<string>",
"groupId": "<string>"
},
"isRotatedSecret": true,
"rotationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Legacy
Delete
Delete secret
DELETE
/
api
/
v3
/
secrets
/
raw
/
{secretName}
cURL
Authorizations
An access token in Infisical
Path Parameters
The name of the secret to delete.
Minimum string length:
1Body
application/json
The slug of the environment where the secret is located.
The ID of the project where the secret is located.
The slug of the project to delete the secret in.
The path of the secret.
The type of the secret to delete.
Available options:
shared, personal Response
Default Response
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I